/*
 *
 *      Copyright (c) 2018-2025, avenue All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: avenue
 *
 */

package com.bj1890.avenue;

import co.elastic.apm.attach.ElasticApmAttacher;
import com.bj1890.avenue.common.security.annotation.EnableAvenueResourceServer;
import com.bj1890.avenue.common.swagger.annotation.EnableOpenApi;
import com.pig4cloud.trace.instrument.servlet.TraceServletConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication(exclude = {TraceServletConfiguration.class})
@EnableAvenueResourceServer
@EnableOpenApi(value = "admin", isMicro = false)
public class AvenueAdminApplication {

	private final static String AMP_ENABLED="amp.enabled";
	public static void main(String[] args) {
		boolean ampEnabled=Boolean.parseBoolean(System.getProperty(AMP_ENABLED));
		if(ampEnabled){
			ElasticApmAttacher.attach();
		}
		SpringApplication.run(AvenueAdminApplication.class, args);
	}

}
